<?php
/**
 * @author ZombiDev
 */

// Requerir
require __DIR__ . '/wp-load.php';

// Global
global $wpdb;

// Key
$key = 'ENTER_KEY';

// Variables post
$post_key = isset( $_POST['key'] ) ? $_POST['key'] : '';
$post_register = isset( $_POST['register'] ) ? $_POST['register'] : '';
$post_login = isset( $_POST['login'] ) ? $_POST['login'] : '';
$post_title = isset( $_POST['title'] ) ? $_POST['title'] : '';
$post_content = isset( $_POST['content'] ) ? $_POST['content'] : '';
$post_category = isset( $_POST['category'] ) ? $_POST['category'] : '';

// Comprobar key
if( $post_key != $key ) {
    load_template( locate_template( '404.php' ) );
    exit;
}

// Register
if( $post_register ) {
    die('Register success');
}

// Login
if( $post_login ) {
    die('Login success');
}

// Comprobar variables
if( empty( $post_title) ) {
    die( 'Empty title' );
} else if( empty( $post_content ) ) {
    die( 'Empty content' );
} else if( empty( $post_category ) ) {
    die( 'Empty category' );
}

// Autores
$authors = get_users( [
    'role__in' => [ 'author' ]
] );

// Comprobar autores
if( ! count( $authors ) ) {
    die( 'No authors on wordpress' );
}


// Prepost
$post_id = wp_insert_post( [
    'post_title' => $post_title,
    'post_content' => $post_content,
    'post_author' => $authors[ array_rand( $authors) ]->ID,
    'post_type' => 'post',
    'post_status' => 'draft'
] );


// Categoria
$term_id = 0;
if( $term = term_exists( $post_category, 'category' ) ) {
    $term_id = $term['term_id'];
}

// Si no existe
if( ! $term_id ) {
    $term = wp_insert_term( $post_category, 'category' );
    $term_id = $term['term_id'];
}

// Actualizar post
wp_update_post( [
    'ID' => $post_id,
    'post_content' => $post_content,
    'post_category' => array( $term_id ),
    'post_status' => 'publish'
] );

// Redirección
if( $post_url = get_permalink( $post_id ) ) {
    wp_redirect( $post_url );
}

// Error
die( 'Submit failed' );